FIX::DataDictionaryProvider Class Reference

Queries for DataDictionary based on appropriate version of FIX. More...

`#include <DataDictionaryProvider.h>`

Collaboration diagram for FIX::DataDictionaryProvider:
[legend]

## Public Member Functions

| DataDictionaryProvider ()
| DataDictionaryProvider (const DataDictionaryProvider &copy)
const DataDictionary & | getSessionDataDictionary (const BeginString &beginString) const throw ( DataDictionaryNotFound )
const DataDictionary & | getApplicationDataDictionary (const ApplVerID &applVerID) const throw ( DataDictionaryNotFound )
void | addTransportDataDictionary (const BeginString &beginString, ptr::shared_ptr< DataDictionary >)
void | addApplicationDataDictionary (const ApplVerID &applVerID, ptr::shared_ptr< DataDictionary >)
void | addTransportDataDictionary (const BeginString &beginString, const std::string &path)
void | addApplicationDataDictionary (const ApplVerID &applVerID, const std::string &path)

## Private Attributes

std::map< std::string, ptr::shared_ptr< DataDictionary > > | m_transportDictionaries
std::map< std::string, ptr::shared_ptr< DataDictionary > > | m_applicationDictionaries
DataDictionary | emptyDataDictionary

## Detailed Description

Queries for DataDictionary based on appropriate version of FIX.

Definition at line 59 of file DataDictionaryProvider.h.

## Constructor & Destructor Documentation

## DataDictionaryProvider() [1/2]

FIX::DataDictionaryProvider::DataDictionaryProvider | ( |  | ) |

inline

Definition at line 62 of file DataDictionaryProvider.h.

:
std::map<std::string, ptr::shared_ptr<DataDictionary> > m_transportDictionaries;

## DataDictionaryProvider() [2/2]

FIX::DataDictionaryProvider::DataDictionaryProvider | ( | const DataDictionaryProvider & | copy | ) |

Definition at line 49 of file DataDictionaryProvider.cpp.

{
std::map<std::string, ptr::shared_ptr<DataDictionary> >::const_iterator find =
m_applicationDictionaries.find(applVerID);

## Member Function Documentation

## addApplicationDataDictionary() [1/2]

void FIX::DataDictionaryProvider::addApplicationDataDictionary | ( | const ApplVerID & | applVerID,
|  | const std::string & | path
| ) |  |

inline

Definition at line 76 of file DataDictionaryProvider.h.

## addApplicationDataDictionary() [2/2]

void FIX::DataDictionaryProvider::addApplicationDataDictionary | ( | const ApplVerID & | applVerID,
|  | ptr::shared_ptr< DataDictionary > | pDD
| ) |  |

Definition at line 83 of file DataDictionaryProvider.cpp.

## addTransportDataDictionary() [1/2]

void FIX::DataDictionaryProvider::addTransportDataDictionary | ( | const BeginString & | beginString,
|  | const std::string & | path
| ) |  |

inline

Definition at line 74 of file DataDictionaryProvider.h.

## addTransportDataDictionary() [2/2]

void FIX::DataDictionaryProvider::addTransportDataDictionary | ( | const BeginString & | beginString,
|  | ptr::shared_ptr< DataDictionary > | pDD
| ) |  |

Definition at line 77 of file DataDictionaryProvider.cpp.

## getApplicationDataDictionary()

const DataDictionary & FIX::DataDictionaryProvider::getApplicationDataDictionary | ( | const ApplVerID & | applVerID | ) | const
throw | ( | DataDictionaryNotFound
| ) |  |

Definition at line 66 of file DataDictionaryProvider.cpp.

{
m_applicationDictionaries[applVerID.getValue()] = pDD;
}
}

## getSessionDataDictionary()

const DataDictionary & FIX::DataDictionaryProvider::getSessionDataDictionary | ( | const BeginString & | beginString | ) | const
throw | ( | DataDictionaryNotFound
| ) |  |

Definition at line 55 of file DataDictionaryProvider.cpp.

{
m_transportDictionaries[beginString.getValue()] = pDD;
}

## Member Data Documentation

## emptyDataDictionary

DataDictionary FIX::DataDictionaryProvider::emptyDataDictionary

private

Definition at line 82 of file DataDictionaryProvider.h.

## m_applicationDictionaries

std::map<std::string, ptr::shared_ptr<DataDictionary> > FIX::DataDictionaryProvider::m_applicationDictionaries

private

Definition at line 81 of file DataDictionaryProvider.h.

## m_transportDictionaries

std::map<std::string, ptr::shared_ptr<DataDictionary> > FIX::DataDictionaryProvider::m_transportDictionaries

private

Definition at line 80 of file DataDictionaryProvider.h.

The documentation for this class was generated from the following files:

- DataDictionaryProvider.h
- DataDictionaryProvider.cpp

FIX::DataDictionaryProvider::m_transportDictionaries
std::map< std::string, ptr::shared_ptr< DataDictionary > > m_transportDictionaries
Definition: DataDictionaryProvider.h:80
FIX::DataDictionaryProvider::m_applicationDictionaries
std::map< std::string, ptr::shared_ptr< DataDictionary > > m_applicationDictionaries
Definition: DataDictionaryProvider.h:81